de.dhbwstuttgart.exceptions

## Class ParserError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.dhbwstuttgart.exceptions.TypeinferenceException
        - - de.dhbwstuttgart.exceptions.ParserError

- All Implemented Interfaces:
    java.io.Serializable

      public class ParserError
      extends TypeinferenceException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserError(JavaParser.yyException exc)`

  - ### Method Summary

    - ### Methods inherited from class de.dhbwstuttgart.typeinference.exceptions.TypeinferenceException

      `getMessage, getOffset`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserError

          public ParserError(JavaParser.yyException exc)